using System;
using System.Numerics;

namespace SlatedGameToolkit.Framework.Utilities
{
    public static class VectorUtils
    {
        public static Vector3 NormalizeSafe(this Vector3 value, Vector3 alternate) {
            float l = value.Length();
            if (l == 0) {
                return alternate;
            }
            value /= l;
            return value;
        }
    }
}